Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class UserCardCopy

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.UserCardCopy

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class UserCardCopy
    extends Id

Класс-модель "Копия карты пользователя". Отражает сущность "user_card_copy_{mid}". Содержит в себе ссылку на основую карту, копией которой является.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.String` | `comment` | Комментарий к копии.
  `protected java.util.Date` | `date1` | Дата начала периода действия копии.
  `protected java.util.Date` | `date2` | Дата окончания периода действия копии.
  `protected UserCard` | `parentCard` | Ссылка на основную карту.
  `protected int` | `parentCardId` | Код основной карты, копией которой является текущий объект.

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UserCardCopy()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(java.lang.Object obj)` |
  `java.lang.String` | `getComment()` | Возвращает комментарий.
  `java.util.Date` | `getDate1()` | Возращает дату начала периода действия карты.
  `java.util.Date` | `getDate2()` | Возращает дату окончания периода действия карты.
  `UserCard` | `getParentCard()` | Возвращает основную карту.
  `int` | `getParentCardId()` | Возвращает код основной карты.
  `void` | `setComment​(java.lang.String comment)` | Устанавливает комментарий.
  `void` | `setDate1​(java.util.Date date1)` | Устанавливает дату начала периода действия карты.
  `void` | `setDate2​(java.util.Date date2)` | Устанавливает дату окончания периода действия карты.
  `void` | `setParentCard​(UserCard parentCard)` | Устанавливает основную карту.
  `void` | `setParentCardId​(int parentCardId)` | Устанавливает код основной карты.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### date1

    protected java.util.Date date1
    Дата начала периода действия копии.

  - ### date2

    protected java.util.Date date2
    Дата окончания периода действия копии.

  - ### parentCardId

    protected int parentCardId
    Код основной карты, копией которой является текущий объект.

  - ### parentCard

    protected UserCard parentCard
    Ссылка на основную карту.

  - ### comment

    protected java.lang.String comment
    Комментарий к копии.

- ## Constructor Details

  - ### UserCardCopy

    public UserCardCopy()

- ## Method Details

  - ### getDate1

    public java.util.Date getDate1()
    Возращает дату начала периода действия карты.
    Returns:
      дата начала периода

  - ### setDate1

    public void setDate1​(java.util.Date date1)
    Устанавливает дату начала периода действия карты.
    Parameters:
      `date1` -

  - ### getDate2

    public java.util.Date getDate2()
    Возращает дату окончания периода действия карты.
    Returns:
      дата окончания периода

  - ### setDate2

    public void setDate2​(java.util.Date date2)
    Устанавливает дату окончания периода действия карты.
    Parameters:
      `date2` -

  - ### getParentCardId

    public int getParentCardId()
    Возвращает код основной карты.
    Returns:
      код основной карты

  - ### setParentCardId

    public void setParentCardId​(int parentCardId)
    Устанавливает код основной карты.
    Parameters:
      `parentCardId` -

  - ### getParentCard

    public UserCard getParentCard()
    Возвращает основную карту.
    Returns:
      основная карта

  - ### setParentCard

    public void setParentCard​(UserCard parentCard)
    Устанавливает основную карту.
    Parameters:
      `parentCard` -

  - ### getComment

    public java.lang.String getComment()
    Возвращает комментарий.
    Returns:
      комментарий

  - ### setComment

    public void setComment​(java.lang.String comment)
    Устанавливает комментарий.
    Parameters:
      `comment` -

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`

  - ### equals

    public boolean equals​(java.lang.Object obj)
    Overrides:
      `equals` in class `Id`